<div class="map" id="view">

</div>

<div class="hide">
    <div #createPopup (click)="onCreate()">
        <div style="border-top: 1px solid rgb(219, 219, 219); border-bottom: 1px solid rgb(219, 219, 219);">
            Long : {{location.lon.toFixed(6)}}<br>
            Lat : {{location.lat.toFixed(6)}}
        </div>
        <div style="color: rgb(255, 174, 0); cursor: pointer;">
            <strong style="font-size: 20px;">+ </strong>
            <span style="margin-bottom: 12px;">สร้างเหตุการณ์</span>
        </div>
    </div>
</div>


<div class="hide">
    <div #layer style="width: 200px; background-color: white; padding: 10px;">
        <div *ngFor="let item of layerList">
            <div *ngIf="item.display">

                <input type="checkbox" id="vehicle1" name="vehicle1" [value]="item.value" [(ngModel)]="item.isSelected"
                    (input)="onSelectLayer(true ,item)" style="vertical-align: middle;margin-right: 5px;">
                <img *ngIf="item.image2 != undefined" [src]="item.image2" height="20px">
                <img class="mr-2" *ngIf="item.image != undefined" [src]="item.image" height="20px"
                    [ngClass]="{'ml-1':item.id ==9}">
                <small for="vehicle1">{{item.text}} </small>
            </div>

        </div>
    </div>
</div>

<!-- <ng-template #drawDialog let-modal>
    <div class="drawDialog">
        <div class="modal-header">
            <strong class="modal-title" id="modal-basic-title">รายละเอียดข้อมูลประกอบ</strong>
        </div>
        <div class="modal-body ">
            <mat-form-field appearance="outline" style="width: 100%; height: 15px;">
                <input matInput placeholder="รายละเอียดข้อมูลประกอบ" [(ngModel)]="drawDescription">
            </mat-form-field><br>
        </div>
        <div class="modal-footer">
            <button mat-raised-button (click)="cancelDraw()">ยกเลิก</button>
            <button mat-raised-button color="primary" (click)="createDraw()">ตกลง</button>
        </div>
    </div>

</ng-template> -->